Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class PropertyNameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.birt.core.exception.BirtException
                  org.eclipse.birt.report.model.api.ModelException
                      org.eclipse.birt.report.model.api.activity.SemanticException
                          org.eclipse.birt.report.model.api.command.PropertyNameException

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyNameException

extends SemanticException

Exception thrown when a property name is invalid.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DESIGN_EXCEPTION_MEMBER_NAME_INVALID` The member name is not defined on a structure.
`static java.lang.String` | `DESIGN_EXCEPTION_PROPERTY_NAME_INVALID` The property name is not defined on the element.
`protected java.lang.String` | `name` The property/member name that caused the error.
`protected IStructure` | `struct` A structure object.

Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Fields inherited from class org.eclipse.birt.core.exception.BirtException
`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

Constructor Summary
`PropertyNameException(org.eclipse.birt.report.model.core.DesignElement obj, IStructure struct, java.lang.String memberName)` Constructs a exception given a structure and its element and the invalid member name.
`PropertyNameException(org.eclipse.birt.report.model.core.DesignElement obj, java.lang.String propName)` Constructor.

Method Summary
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMemberName()` Return the invalid member name.
`java.lang.String` | `getPropertyName()` Returns the invalid property name.

Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`getElement, getElementName, getMessage`

Methods inherited from class org.eclipse.birt.core.exception.BirtException
`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The property/member name that caused the error.

### struct

    protected IStructure struct

  A structure object.

### DESIGN_EXCEPTION_PROPERTY_NAME_INVALID

    public static final java.lang.String DESIGN_EXCEPTION_PROPERTY_NAME_INVALID

  The property name is not defined on the element.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_MEMBER_NAME_INVALID

    public static final java.lang.String DESIGN_EXCEPTION_MEMBER_NAME_INVALID

  The member name is not defined on a structure.

  See Also:
    Constant Field Values

Constructor Detail

### PropertyNameException

    public PropertyNameException(org.eclipse.birt.report.model.core.DesignElement obj,
                                 java.lang.String propName)

  Constructor.

  Parameters:
    `obj` - the element that has the property.
    `propName` - the property name that caused the error

### PropertyNameException

    public PropertyNameException(org.eclipse.birt.report.model.core.DesignElement obj,
                                 IStructure struct,
                                 java.lang.String memberName)

  Constructs a exception given a structure and its element and the invalid member name.

  Parameters:
    `obj` - the element that has the structure.
    `struct` - the structure that doesn't contain the member.
    `memberName` - the member name that caused the exception.

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Returns the invalid property name.

  Returns:
    the invalid property name.

### getMemberName

    public java.lang.String getMemberName()

  Return the invalid member name.

  Returns:
    the invalid member name.

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.